petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMGetCoordinateDim

Retrieve the dimension of embedding space for coordinate values.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetCoordinateDim(DM dm, PetscInt *dim)

Not Collective

### Input Parameter

dm -The DM object

### Output Parameter

dim -The embedding dimension

### Keywords

mesh, coordinates

### See Also

DMSetCoordinateDim(), DMGetCoordinateSection(), DMGetCoordinateDM(), DMGetSection(), DMSetSection()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/snes/examples/tutorials/ex56.c.html
src/ts/examples/tutorials/ex11.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages